#
# Copyright (c) 2020 Genexis B.V.
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use, copy,
# modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

include $(TOPDIR)/rules.mk

PKG_NAME:=quickjs-websocket
PKG_LICENSE:=MIT
PKG_VERSION:=1
PKG_RELEASE:=1

PKG_BUILD_PARALLEL:=1

include $(INCLUDE_DIR)/package.mk

define Package/quickjs-websocket
  SECTION:=libs
  CATEGORY:=Libraries
  TITLE:=WebSocket API for QuickJS
  MAINTAINER:=Erik Karlsson <erik.karlsson@genexis.eu>
  DEPENDS:=+quickjs +libwebsockets-openssl
endef

define Package/quickjs-websocket/description
  Implementation of the W3C WebSocket API in QuickJS on top of the
  libwebsockets C library.
endef

define Package/quickjs-websocket/install
	$(INSTALL_DIR) $(1)/usr/lib/quickjs
	$(CP) $(PKG_BUILD_DIR)/lws-client.so $(1)/usr/lib/quickjs/
	$(CP) $(PKG_BUILD_DIR)/websocket.js $(1)/usr/lib/quickjs/
endef

$(eval $(call BuildPackage,quickjs-websocket))
